<?php

/**
 * Created by PhpStorm.
 * User: stanley-king
 * Date: 16/7/22
 * Time: 下午4:34
 */

define('BASE_ROOT_PATH',str_replace('/test','',dirname(__FILE__)));

require_once(BASE_ROOT_PATH . '/fooder.php');
require_once(BASE_ROOT_PATH . '/helper/bouns_toplist_helper.php');

class bouns_toplist_helperTest extends PHPUnit_Framework_TestCase
{
    public static function setUpBeforeClass()
    {
        Base::run_util();
    }

    public function testMakesn()
    {
        $cur_date = '2016-07-21';
        $start_date = '2015-06-21';

        $x = date_parse($cur_date);
        $y = date_parse($start_date);

        $start = new DateTime();
        $start->setDate($x['year'],$x['month'],$x['day']);
        $start->setTime(0,0,0);

        $end = new DateTime();
        $end->setDate($y['year'],$y['month'],$y['day']);
        $end->setTime(0,0,0);

        $inter = $start->diff($end);
        $inter->days;
    }

    public function testListCount()
    {
        $count = ranklist_helper::list_count(36490);
    }


    public function testAddMondey()
    {
        ranklist_helper::add_money(36490,1.25);
    }


    public static function tearDownAfterClass()
    {

    }
}
